version: "3"

services:
  querybackend:
    container_name: querybackend
    image: 12labours/api-dev:latest
    environment:
      QUERY_SECURE_KEY: ${QUERY_SECURE_KEY}
      QUERY_ACCESS_TOKEN: ${QUERY_ACCESS_TOKEN}
      GEN3_ENDPOINT_URL: ${GEN3_ENDPOINT_URL}
      GEN3_API_KEY: ${GEN3_API_KEY}
      GEN3_KEY_ID: ${GEN3_KEY_ID}
      GEN3_PUBLIC_ACCESS: ${GEN3_PUBLIC_ACCESS}
      IRODS_HOST: ${IRODS_HOST}
      IRODS_PORT: ${IRODS_PORT}
      IRODS_USER: ${IRODS_USER}
      IRODS_PASSWORD: ${IRODS_PASSWORD}
      IRODS_ZONE: ${IRODS_ZONE}
      IRODS_ROOT_PATH: ${IRODS_ROOT_PATH}
      ORTHANC_ENDPOINT_URL: ${ORTHANC_ENDPOINT_URL}
      ORTHANC_USERNAME: ${ORTHANC_USERNAME}
      ORTHANC_PASSWORD: ${ORTHANC_PASSWORD}
    ports:
      - "8000:8000"
